# Create a recipient account

Creates a recipient account. A recipient is a person or institution who is the ultimate beneficiary of your payment.

Recipient data includes three data blocks:
- General data - the personal details of an individual and basic information about a business.
- Bank details - account numbers, routing numbers, and other region-specific bank details.
- Address details - country and street address of an individual or business.

Notes:
- Date of Birth is optional; consult the account-requirements APIs to confirm if it is needed or contact Wise Support.
- ownedByCustomer is optional but strongly recommended for self-transfers.
- Email recipients: testing transfers to email recipients in sandbox is not currently possible.

Refund recipients:
- Use refund=true query parameter.

#### Bank account data
There are many different variations of bank account details needed depending on recipient target currency. For example:

- GBP — sort code and account number
- BGN, CHF, DKK, EUR, GEL, GBP, NOK, PKR, PLN, RON, SEK — IBAN
- USD — routing number, account number, account type
- INR — IFSC code, account number
- etc.

#### Address data
Recipient address data is required only if target currency is USD, PHP, THB or TRY, or if the source currency is USD or AUD.

Address fields can include:
- Country
- State (US, Canada, Brazil)
- City
- Address line
- Zip code

#### accountHolderName rules
- Personal recipients: Full names must include more than one name, and both first and last name must have more than one character. Numbers are not allowed.
- Business recipients: Business names must be in full and can be a single name. The full name cannot be just a single character, but can be made up of a set of single characters (e.g. "A" is not permitted but "A 1" or "A1" is permitted).
- Special characters _()'*,. are allowed for personal and business names.
- In general the following regex describes permitted characters:
  [0-9A-Za-zÀ-ÖØ-öø-ÿ-_()'*,.\s].

Recipient requirements vary depending on recipient type/currency route. A GBP example is provided here.
Many fields may be null in examples. To determine which fields are required for which currency, use the
Recipient Requirements endpoint.

#### Create a refund recipient account
POST /v1/accounts?refund=true

Sometimes we may need to refund the transfer back to the sender - see the transfer status here for cases when this may happen.

A refund recipient is a person or institution where we will refund transfer the money back to if necessary. This is not always a mandatory resource to create. If the funds are sent over a fast local payment network we can usually infer the refund recipient from the bank transaction that funded the transfer. Please discuss this with your Wise implementation team if you are unsure if the refund recipient is needed.

If funds are sent using a slow domestic payment network, or you are using a bulk settlement model, we may require you to share the bank details of the source bank account.

The format of the request payload for refund recipient creation will be different depending on the currency you will send transfers from. You may use the account requirements endpoint to understand the payload requirements when creating the refund recipient for a specific currency.

The refund recipient account ID returned in the response is used as sourceAccount when creating transfers.

#### Create an email recipient account
POST /v1/accounts

{% admonition type="warning" %}
Please contact us before attempting to use email recipients. We do not recommend using this feature except for certain use cases.
{% /admonition %}

If you don't know recipient bank account details you can set up an email recipient; Wise will collect bank details directly from the recipient.

Wise will email your recipient with a link to collect their bank account details securely. After the bank account details have been provided Wise will complete your transfer.

It's best to confirm that this recipient type is available to your transaction by checking if the "type": "email" class is present in the response from GET /v1/quotes/{quoteId}/account-requirements — see account requirements for more information on how to use this endpoint.

If planning to send multiple currencies to a single recipient, you will need to create a separate email recipient resource for this beneficiary, for every currency you intend to send to them. We highly encourage you to provide the {profileId} if your recipient is receiving a payment from your Business account, especially if you have multiple businesses, or have multiple users administrating your business account.

Please be aware of the following caveats:
- Testing of transfers to email recipients in sandbox is not currently possible.
- Recipients will be required to enter bank details every time a payment is made.
- We highly encourage you to provide the profileId if your recipient is receiving a payment from your Business account, especially if you have multiple businesses, or have multiple users administrating your business account.
- Please refer to our help page on how this works and any additional constraints not mentioned in this section.

Endpoint: POST /v1/accounts
Security: UserToken

## Query parameters:

  - `refund` (boolean)
    When true, creates a refund recipient account.

## Request fields (application/json):

  - `currency` (string)
    3 character currency code.
    Example: "GBP"

  - `type` (string)
    Recipient account type (currency/route-specific), e.g. sort_code, iban, email.
    Example: "sort_code"

  - `profile` (integer)
    Personal or business profile ID of the sender. It is highly advised to pass the business profile ID in this field if your business account is managed by multiple users, so that the recipient can be accessed by all users authorized on the business account.
    Example: 30000000

  - `accountHolderName` (string)
    Recipient full name.
    Example: "John Doe"

  - `ownedByCustomer` (boolean)
    Indicates whether the recipient account is owned by the profile owner (self-transfer), such as a user sending money to their own account in another country or currency. Set to true for self-transfers. We strongly recommend setting this field, as distinguishing self-transfers from third-party transfers improves routing and processing efficiency.
    Example: true

  - `details` (object)
    Currency/route-specific recipient fields. Common examples include legalType, sortCode, accountNumber, email, dateOfBirth, etc. Use account-requirements APIs to determine what is required.

  - `details.legalType` (string)
    Recipient legal type (when applicable).
    Enum: "PRIVATE", "BUSINESS"

  - `details.sortCode` (string)
    Sort code (GBP example).
    Example: "040075"

  - `details.accountNumber` (string)
    Account number (GBP example).
    Example: "37778842"

  - `details.dateOfBirth` (string)
    Date of birth in ISO 8601 date format (Optional for GBP example).
    Example: "1961-01-01"

## Response 200 fields (application/json):

  - `id` (integer)
    ID of the recipient. Use the returned id as sourceAccount to specify the refund recipient when creating transfers.
    Example: 40000000

  - `creatorId` (integer)
    Account entity that owns the recipient account.
    Example: 41000000

  - `profileId` (integer)
    Specific profile that owns the recipient account.
    Example: 30000000

  - `name` (object)
    Recipient name details.

  - `name.fullName` (string)
    Recipient full name.
    Example: "John Doe"

  - `name.givenName` (string,null)
    Recipient first name.

  - `name.familyName` (string,null)
    Recipient surname.

  - `name.middleName` (string,null)
    Recipient middle name.

  - `name.patronymicName` (string,null)
    Recipient patronymic name (when applicable).

  - `name.cannotHavePatronymicName` (boolean,null)
    Indicates if the recipient cannot have a patronymic name (when applicable).

  - `currency` (string)
    3 character currency code.
    Example: "GBP"

  - `country` (string)
    2 character country code.
    Example: "GB"

  - `type` (string)
    Recipient type.
    Example: "SortCode"

  - `legalEntityType` (string)
    Entity type of recipient.
    Example: "PERSON"

  - `active` (boolean)
    Status of the recipient.
    Example: true

  - `details` (object)
    Account details (currency/type-specific). The keys present vary by currency route and recipient type (e.g., sort code, IBAN, SWIFT, email).

  - `details.reference` (string,null)
    Recipient reference (present for some routes).

  - `details.sortCode` (string)
    Recipient bank sort code (GBP example).
    Example: "040075"

  - `details.accountNumber` (string)
    Recipient bank account number (GBP example).
    Example: "37778842"

  - `details.hashedByLooseHashAlgorithm` (string)
    Recipient account hash.
    Example: "ad245621b974efa3ef870895c3wer419a3f01af18a8a5790b47645dba6304194"

  - `commonFieldMap` (object)
    Map of key lookup fields on the account.
    Example: {"accountNumberField":"accountNumber","bankCodeField":"sortCode"}

  - `hash` (string)
    Account hash for change tracking.
    Example: "666ef880f8aa6113fa112ba6531d3ed2c26dd9fgbd7de5136bfb827a6e800479"

  - `accountSummary` (string)
    Summary of account details for ease of lookup.
    Example: "(04-00-75) 37778842"

  - `longAccountSummary` (string)
    Account details summary.
    Example: "GBP account ending in 8842"

  - `displayFields` (array)
    Lookup fields (key/label/value) for rendering a UI.
    Example: [{"key":"details/sortCode","label":"UK sort code","value":"04-00-75"},{"key":"details/accountNumber","label":"Account number","value":"37778842"}]

  - `displayFields.key` (string)
    Account identifier key name.

  - `displayFields.label` (string)
    Account identifier display label.

  - `displayFields.value` (string)
    Account identifier value.

  - `isInternal` (boolean)
    Indicates whether recipient is internal.

  - `ownedByCustomer` (boolean)
    If recipient account belongs to profile owner.

  - `confirmations` (object)
    Verification results for the recipient's details. Only populated for currencies with recipient verification enabled (KRW, INR, IDR, EUR). See the [Verifying Recipient Details](/guides/developer/api-guides/recipient-verification) guide for how to handle these.

  - `confirmations.acceptedOutcomes` (boolean)
    Whether we've received an explicit customer acceptance.

  - `confirmations.acceptedAt` (string,null)
    Timestamp indicating time of outcome acceptance, null if has not been accepted.

  - `confirmations.quoteId` (string,null)
    If the confirmation check was run as part of a quote compatibility check, then the quoteId will be on the result. If quoteId is present, then the outcome acceptance will need the quoteId to be specified as well.

  - `confirmations.outcomes` (array)
    Array of confirmation outcomes. At the moment it is safe to assume that there is only one element in the outcomes list.

  - `confirmations.outcomes.type` (string)
    The type of confirmation. Possible values: ACCOUNT_EXISTENCE, NAME_MATCHING, NAME_RESOLUTION.
    Example: "NAME_MATCHING"

  - `confirmations.outcomes.timestamp` (string)
    Timestamp of when the confirmation check was performed.
    Example: "2024-11-11T23:58:11.105916743Z"

  - `confirmations.outcomes.outcome` (string)
    The actual outcome of the confirmation. Possible values: SUCCESS, PARTIAL_FAILURE, FAILURE, COULD_NOT_CHECK.
    Example: "PARTIAL_FAILURE"

  - `confirmations.outcomes.requiresCustomerAcceptance` (boolean)
    Whether we require customer acceptance. Whether this value is true or false is dependent on the currency and the nature of the confirmation.
    Example: true

  - `confirmations.outcomes.fieldsChecked` (array)
    Fields we used to confirm the account.
    Example: ["name/fullName","details/accountNumber"]

  - `confirmations.outcomes.providedName` (string)
    The name that the customer provided when creating the recipient account. Only populated for NAME_MATCHING and NAME_RESOLUTION types for certain outcomes.
    Example: "John Doe"

  - `confirmations.outcomes.resolvedName` (string)
    The name that we resolved during name matching or name resolution.
    Example: "Joe Doe"

  - `confirmations.outcomes.message` (string)
    Customer facing message about the outcome of the check.
    Example: "The name entered is slightly different to the name on the account."

  - `confirmations.outcomes.recommendedUpdates` (array)
    Shows what are the correct values for some of the fields we've checked.

  - `confirmations.outcomes.recommendedUpdates.path` (string)
    The field path to update.
    Example: "name/fullName"

  - `confirmations.outcomes.recommendedUpdates.value` (string)
    The recommended value for the field.
    Example: "Joe Doe"

## Response 400 fields (application/json):

  - `timestamp` (string)
    Timestamp of occurrence (ISO-8601 timestamp).
    Example: "2024-12-06T06:43:52.472471344Z"

  - `errors` (array)
    List of validation errors.

  - `errors.code` (string)
    Error code (e.g. NOT_VALID).
    Example: "NOT_VALID"

  - `errors.message` (string)
    Human-readable error message.
    Example: "Unknown bank code. Please check the sort code is correct, or contact customer support for more information."

  - `errors.path` (string)
    Field associated with the error.
    Example: "sortCode"

  - `errors.arguments` (array)
    Field with error as well as input value.
    Example: ["sortCode","231479"]


## Response 401 fields
